
contexts:
  dummy.processors:
    parameters:
      # Generic defaults for all commands from dummy plugin
      cmdDuration: 0.25
      returnWarning: false
      returnError: false
      throw: false

      # Internal clock/TTC source
      reset:clockSource: internal

      # Firmware image archive
      program:package:
        replace_with: firmware_package

      §configureTxBuffers:
        ids:
          replace_with: output_channels
        dataFile:
          replace_with: input_data_file

      §resetOpticalModules:
        ids: '0-123'

      §configureOpticalTx:
        ids: '0-99'

      §configureTx:configureTxMGTs:
        ids: '0-111'

      §configureRxMGTs:
        ids: '0-135'

      §configureOpticalRx:
        ids: '0-123'

      §alignLinks:
        ids: ['0-135']
        target:
          - 0 #replace_with: ALIGN_OFFSET

      §playback:configureRxBuffers:
        ids:
          replace_with: input_channels
        dataFile:
          replace_with: input_data_file

      §configureRx:configureRxBuffers:
        ids:
          replace_with: input_channels
        dataFile:
          type: file
          path: dummy_intersite_rx.txt
